import { Notification, PartialObserver } from 'rxjs';
export interface RxViewContext<T> {
    $implicit: T;
    $rxError: false | Error;
    $rxComplete: boolean;
    $rxSuspense: any;
}
/**
 * @description
 *
 * Callbacks for the templates main states: suspense, next, error, complete
 */
export declare type RxTemplateObserver<T> = {
    suspense?: (value?: any) => void;
} & PartialObserver<T>;
export declare type RxNotificationKind = 'rxSuspense' | 'rxNext' | 'rxError' | 'rxComplete';
declare type NotificationExtract = 'value' | 'hasValue' | 'error';
export declare type RxNotification<T> = Pick<Notification<T>, NotificationExtract> & {
    kind: RxNotificationKind;
};
export {};
